Bug 491302 - Mass storage on Sony Ericson W980 doesn't work
Mass storage on Sony Ericson W980 doesn't work
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 06:12 EDT by Ilya Eremin
Modified: 2010-06-28 07:32 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:32:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ilya Eremin 2009-03-20 06:12:23 EDT
When Sony Ericson W980 is connected by USB for mass storage the sd* device never appears. Here's /var/log/messages and evidence:
Mar 20 10:05:10 localhost kernel: usb 2-4: new high speed USB device using ehci_hcd and address 3
Mar 20 10:05:10 localhost kernel: usb 2-4: New USB device found, idVendor=0fce, idProduct=e0da
Mar 20 10:05:10 localhost kernel: usb 2-4: New USB device strings: Mfr=1, Product=2, SerialNumber=3
Mar 20 10:05:10 localhost kernel: usb 2-4: Product: Memory Stick
Mar 20 10:05:10 localhost kernel: usb 2-4: Manufacturer: Sony Ericsson
Mar 20 10:05:10 localhost kernel: usb 2-4: SerialNumber: 3553530241267360
Mar 20 10:05:10 localhost kernel: usb 2-4: configuration #2 chosen from 1 choice
Mar 20 10:05:11 localhost pulseaudio[2820]: module-hal-detect.c: D-Bus error while parsing HAL data: org.freedesktop.Hal.NoSuchProperty: No property info.capabilities on device with id /org/freedesktop/Hal/devices/usb_device_fce_e0da_3553530241267360
Mar 20 10:05:12 localhost kernel: Initializing USB Mass Storage driver...
Mar 20 10:05:12 localhost kernel: scsi5 : SCSI emulation for USB Mass Storage devices
Mar 20 10:05:12 localhost kernel: usbcore: registered new interface driver usb-storage
Mar 20 10:05:12 localhost kernel: USB Mass Storage support registered.
Mar 20 10:05:12 localhost pulseaudio[2820]: module-hal-detect.c: D-Bus error while parsing HAL data: org.freedesktop.Hal.NoSuchProperty: No property info.capabilities on device with id /org/freedesktop/Hal/devices/usb_device_fce_e0da_3553530241267360_if0
Mar 20 10:05:17 localhost kernel: scsi 5:0:0:0: Direct-Access     Sony Eri Memory Stick        0 PQ: 0 ANSI: 0
Mar 20 10:05:17 localhost kernel: sd 5:0:0:0: [sdb] 15520084 512-byte hardware sectors: (7.94 GB/7.40 GiB)
Mar 20 10:05:17 localhost kernel: sd 5:0:0:0: [sdb] Test WP failed, assume Write Enabled
Mar 20 10:05:17 localhost kernel: sd 5:0:0:0: [sdb] Assuming drive cache: write through
Mar 20 10:05:17 localhost kernel: sd 5:0:0:0: [sdb] 15520084 512-byte hardware sectors: (7.94 GB/7.40 GiB)
Mar 20 10:05:17 localhost kernel: sd 5:0:0:0: [sdb] Test WP failed, assume Write Enabled
Mar 20 10:05:17 localhost kernel: sd 5:0:0:0: [sdb] Assuming drive cache: write through
Mar 20 10:05:17 localhost kernel: sdb: sdb1
Mar 20 10:05:17 localhost kernel: sd 5:0:0:0: [sdb] Attached SCSI removable disk
Mar 20 10:05:17 localhost kernel: sd 5:0:0:0: Attached scsi generic sg2 type 0
Mar 20 10:05:17 localhost pulseaudio[2820]: module-hal-detect.c: D-Bus error while parsing HAL data: org.freedesktop.Hal.NoSuchProperty: No property info.capabilities on device with id /org/freedesktop/Hal/devices/usb_device_fce_e0da_3553530241267360_if0_scsi_host_0_scsi_device_lun0
Mar 20 10:05:20 localhost kerneloops: Submitted 1 kernel oopses to www.kerneloops.org
Mar 20 10:05:47 localhost kernel: usb 2-4: reset high speed USB device using ehci_hcd and address 3
Mar 20 10:06:18 localhost kernel: usb 2-4: reset high speed USB device using ehci_hcd and address 3
Mar 20 10:06:49 localhost kernel: usb 2-4: reset high speed USB device using ehci_hcd and address 3
Mar 20 10:07:20 localhost kernel: usb 2-4: reset high speed USB device using ehci_hcd and address 3

[root@localhost CheGuevara]# ls /dev | grep sd
sda
sda1
sda2
sda3
sda4
sda5

[CheGuevara@localhost Download]$ uname -a
Linux localhost.localdomain 2.6.29-0.258.rc8.git2.fc11.x86_64 #1 SMP Mon Mar 16 20:53:26 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
Comment 1 Bug Zapper 2009-06-09 08:26:49 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 09:16:57 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 07:32:03 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.